#!/bin/sh

#For internationalization testing, run from this level and find the frisbee.pot file in /tmp:
# xgettext -L shell -p /tmp -o frisbee.pot --package-name=frisbee --package-version=1.0 usr/local/bin/frisbee usr/local/frisbee/func

#Clear all flags...
if [ "$(pwd)" = "/" ];then
 rm -f etc/frisbee/.* 2>/dev/null #residue
fi

#Remove residue from prior frisbee versions...
rm -f usr/local/frisbee/hook_notify
rm -rf etc/frisbee/iface 2>/dev/null
rm -f root/Startup/network_tray_modeset
rm -f etc/dhcpcd_dropwait_secs

if Xdialog  --title "Frisbee" --default-no --timeout 60 --ok-label "Yes, set as default" --cancel-label "No" --left --yesno "$(gettext "Frisbee is installed as one of the Connect Wizard's network manager options.\n\nDo you want frisbee to be the default network manager at the next boot-up or\nat the initial boot of a distro package?")" 0 0;then
 echo -e '#!/bin/sh\nexec frisbee' > usr/local/bin/defaultconnect
 sed -i -e '/^frisbee_mode=/ s/=.*/=1/' \
 -e '/^wireless_enabled=/ s/=.*/=1/' \
 -e '/^wireless_autostart=/ s/=.*/=1/' \
 -e '/^announce_state_changes=/ s/=.*/=1/' \
 etc/frisbee/frisbee.conf
 [ -f /etc/dhcpcd_state_notify ] || touch etc/dhcpcd_state_notify
 [ "$(pwd)" = "/" ] && touch /tmp/.frisbee_newly_installed
else
 rm -f etc/dhcpcd_state_notify
fi


#Remove residue from prior frisbee versions...
rm -f lib/dhcpcd/dhcpcd-hooks/99-frisbee
rm -f lib/dhcpcd/dhcpcd-hooks/99-down
rm -f lib/dhcpcd/dhcpcd-hooks/99-ifup
rm -f lib/dhcpcd/dhcpcd-hooks/99-release
rm -f lib/dhcpcd/dhcpcd-hooks/99-timeout
rm -f lib/dhcpcd/dhcpcd-hooks/99-up
if [ ! -h usr/libexec/dhcpcd-hooks -a -d usr/libexec/dhcpcd-hooks ];then
 rm -f usr/libexec/dhcpcd-hooks/99-frisbee
 rm -f usr/libexec/dhcpcd-hooks/99-down
 rm -f usr/libexec/dhcpcd-hooks/99-ifup
 rm -f usr/libexec/dhcpcd-hooks/99-release
 rm -f usr/libexec/dhcpcd-hooks/99-timeout
 rm -f usr/libexec/dhcpcd-hooks/99-up
fi
